
#include <stdlib.h>
#include <fmod.h>
#include <fmod_errors.h>
#include <iostream>

#ifdef WIN32
	#include <windows.h>
	// automatically link to fmod library
	#pragma comment(lib,"fmod.lib")
#else
	#include <wincompat.h>
#endif

/// this is a pointer to the mp3 stream we will be reading from the disk.
FSOUND_STREAM* g_mp3_stream = NULL;

int main(int argc,char **argv)
{
	// initialise fmod, 44000 Hz, 64 channels
	if( FSOUND_Init(44000,64,0) == FALSE )
	{
		std::cerr << "[ERROR] Could not initialise fmod\n";
		return 0;
	}

	// attempt to open the mp3 file as a stream
	g_mp3_stream = FSOUND_Stream_Open( "Hawaii5O.mp3" , FSOUND_2D , 0 , 0 );

	// make sure mp3 opened OK
	if(!g_mp3_stream) {
		std::cerr << "[ERROR] could not open file\n";
		return 0;
	}

	FSOUND_Stream_Play(0,g_mp3_stream);

	std::cout << "press any key to quit" << std::endl;

	// sit and wait for key press
	fgetc(stdin);

	// Stop and close the mp3 file
	FSOUND_Stream_Stop( g_mp3_stream );
	FSOUND_Stream_Close( g_mp3_stream );

	// kill off fmod
	FSOUND_Close();

	// done
	return 0;
}


